Subject: Re: bug#47708: 28.0.50; SIGSYS test failure with seccomp-filter.bpf
From: "Basil L. Contovounesios" <[email-masked]>
To: Philipp Stephani <[email-masked]>
Cc: [email-masked]
Date: Sun, 11 Apr 2021 19:49:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Philipp Stephani <[email-masked]> writes:

> Am So., 11. Apr. 2021 um 19:19 Uhr schrieb Basil L. Contovounesios
> <[email-masked]>:
>>
>> I don't know whether this is relevant, but 'man 2 seccomp' has the
>> following to say about clock_gettime:
>>
>>   Caveats
>>       There are various subtleties to consider when applying seccomp  filters
>>       to a program, including the following:
>>
>>       *  Some traditional system calls have user-space implementations in the
>>          vdso(7) on many architectures.  Notable examples include  clock_get‐
>>          time(2),  gettimeofday(2), and time(2).  On such architectures, sec‐
>>          comp filtering for these system calls will have  no  effect.   (How‐
>>          ever,  there  are  cases  where the vdso(7) implementations may fall
>>          back to invoking the true system call, in which case seccomp filters
>>          would see the system call.)
>>
>
> Nice catch. I think it should be fine to allow the clock system calls.
> I've now done that with commit
> ea5ea09244b762008bba509d8c58bad5835fb949.

Thanks, that fixes the test failure here, so I'm closing this report.

-- 
Basil